<template>
  <main class="lg:pt-5 bg-white">
    <div class="container">
      <div class="mb-6 md:mb-10 md:flex -mx-10px leading-relaxed">
        <div class="md:w-8/12 px-10px mb-4 md:mb-0">
          <Story1st />
        </div>
        <div class="md:w-4/12 px-10px">
          <Story2nd />
        </div>
      </div>
      <div class="mb-6 md:mb-10 md:flex -mx-10px leading-relaxed">
        <div class="mb-5 md:mb-0 md:w-8/12 px-10px">
          <SectionRemarkable />
        </div>
        <div class="md:w-4/12 px-10px">
          <SectionTrending />
        </div>
      </div>
      <div class="-mx-4 md:-mx-0 mb-6 md:mb-10">
        <SponsorBreakPage :imagesrc="'/sponsor-pepsi.png'" />
      </div>
      <div class="mb-6 md:mb-10">
        <div class="md:flex -mx-10px">
          <div class="mb-6 md:mb-0 md:w-8/12 px-10px">
            <SectionNews />
          </div>
          <div class="md:w-4/12 px-10px">
            <SectionVideoNew />
            <div class="mt-6 md:mt-10">
              <SponsorVertical :imagesrc="'/sponsor-xbox.png'" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="has-bg-img mb-4 md:mb-10 bg-right-bottom bg-dark-blue">
      <div class="container">
        <div class="md:flex -mx-10px">
          <div class="md:w-8/12 px-10px mb-2">
            <div class="md:pr-10 py-6 md:py-10 bg-dark-blue h-full">
              <CategoryFirst :block-title="'Công nghệ'" />
            </div>
          </div>
          <div class="md:w-4/12 py-6 md:py-10 mb-2 px-10px">
            <div class="md:pl-5">
              <CategorySecond :block-title="'Review'" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="container">
      <div class="mb-6 md:mb-10">
        <div class="md:flex -mx-10px">
          <div class="mb-6 md:mb-0 md:w-8/12 px-10px">
            <SectionNews :header="false" />
          </div>
          <div class="md:w-4/12 px-10px">
            <div>
              <SponsorVertical :imagesrc="'/sponsor-shopify.png'" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="has-bg-img mb-4 md:mb-10 bg-right-bottom bg-dark-blue">
      <div class="container">
        <div class="md:flex -mx-10px">
          <div class="md:w-8/12 mb-2 px-10px">
            <div class="md:pr-10 py-6 md:py-10 bg-dark-blue h-full">
              <CategoryFirst :block-title="'Tư vấn'" />
            </div>
          </div>
          <div class="md:w-4/12 py-6 md:py-10 md:mb-2 px-10px">
            <div class="md:pl-5">
              <CategorySecond :block-title="'Tips & Tricks'" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="container pb-6 md:pb-10">
      <div class="md:flex -mx-10px">
        <div class="mb-6 md:mb-0 md:w-8/12 px-10px">
          <SectionNews :header="false" />
        </div>
        <div class="md:w-4/12 px-10px">
          <div>
            <SponsorVertical :imagesrc="'/sponsor-four.png'" />
          </div>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
export default {
  layout({ isMobile }) {
    return isMobile ? 'mobile' : 'default'
  },
  components: {
    Story1st: () => import('~/components/common/Story1st'),
    Story2nd: () => import('~/components/common/Story2nd'),
    SectionRemarkable: () =>
      import('~/components/page-index/SectionRemarkable'),
    SectionTrending: () => import('~/components/page-index/SectionTrending'),
    SectionNews: () => import('~/components/page-index/SectionNews'),
    SectionVideoNew: () => import('~/components/page-index/SectionVideoNew'),
    SponsorBreakPage: () => import('~/components/sponsor/SponsorBreakPage'),
    SponsorVertical: () => import('~/components/sponsor/SponsorVertical'),
    CategorySecond: () => import('~/components/page-index/CategorySecond'),
    CategoryFirst: () => import('~/components/page-index/CategoryFirst')
  },
  async fetch() {
    await this.$store.dispatch('getMainMenu')
  },
  head() {
    return {
      title: 'ThinkView - Chuyên trang tin công nghệ'
    }
  }
}
</script>
